Show / Hide Table of Contents

# Struct ReactionMetadata

A metadata containing reaction information.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public struct ReactionMetadata

### Properties

| Improve this Doc View Source

#### IsMe

Gets a value that indicates whether the current user has reacted to this.

##### Declaration

    public bool IsMe { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if the user has reacted to the message; otherwise `false`.

| Improve this Doc View Source

#### ReactionCount

Gets the number of reactions.

##### Declaration

    public int ReactionCount { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 | An System.Int32 representing the number of this reactions that has been added to this message.